Bug 1124625 - Pulp sync'ing should gracefully handle inability to resolve hostname
Summary: Pulp sync'ing should gracefully handle inability to resolve hostname
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: async/tasks
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: 2.6.0
Assignee: amacdona@redhat.com
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks: 1124616
TreeView+ depends on / blocked
 
Reported: 2014-07-29 23:47 UTC by Justin Sherrill
Modified: 2015-02-28 22:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1124616
Environment:
Last Closed: 2015-02-28 22:14:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 478 None None None Never

Comment 1 Randy Barlow 2014-07-30 15:02:59 UTC
I suspect that the DNS timeout is happening for every file that the importer tries to download, and the importer doesn't consider this a permanent sort of failure. This could cause the sync to take a very long time. I'm not familiar with what the DNS timeout would be, but even if it were 5 seconds and there were 10,000 items to sync that would be 50,000 seconds (more than half of a day!).

The importer should have a class of errors it considers to be permanent failures that includes DNS timeouts and probably out of disk space errors. Can anyone think of others?

Comment 2 amacdona@redhat.com 2014-10-21 19:27:24 UTC
https://github.com/pulp/nectar/pull/24

Comment 3 Chris Duryee 2014-12-23 20:52:30 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 4 Preethi Thomas 2015-02-04 18:54:26 UTC
verified

[root@cloud-qe-4 ~]# pulp-admin rpm repo  sync run --repo-id zoo
+----------------------------------------------------------------------+
                     Synchronizing Repository [zoo]
+----------------------------------------------------------------------+

This command may be exited via ctrl+c without affecting the request.


Downloading metadata...
[/]
... failed

('Connection aborted.', error(110, 'Connection timed out'))


Task Failed

Importer indicated a failed response

Comment 5 Brian Bouterse 2015-02-28 22:14:11 UTC
Moved to https://pulp.plan.io/issues/478


Note You need to log in before you can comment on or make changes to this bug.